POST
Upload KYC document and get IPFS hash
Accepts a KYC PDF document, uploads it to the XinFin MasterNode IPFS API, and returns the authoritative IPFS hash assigned by the network. Only supported for XDC and TXDC coins.
The returned hash must be included in the subsequent XDC stake request as kycHash.
It is submitted to the validator contract in the AUTHORIZE (uploadKYC) transaction.
Path Params
-
coinstring enum requiredMust be xdc or txdc.xdctxdc -
walletIdstring requiredThe wallet ID of the wallet used for staking.
Body Params
object
-
filestring binary requiredThe KYC PDF document to upload (max 5MB).
Responses
200
IPFS hash computed successfully.
Response Body
object
Response containing the IPFS CIDv0 hash of the uploaded KYC document.
-
hashstring requiredIPFS CIDv0 hash of the uploaded KYC document. Must be included askycHashin the subsequent XDC stake request.
400
Bad Request
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
401
Unauthorized
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
403
Forbidden
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
500
Server Error - Transient error please try again
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject